# Search split lots Endpoint: POST /split-lots/account/{AccountIdentifier}/action/search Version: 1.0.0-beta Security: bearerToken ## Path parameters: - `AccountIdentifier` (string, required) Account identifier Example: "098B0A25" ## Query parameters: - `page` (integer) - `size` (integer) ## Request fields (application/json): - `programs` (array) - `createdDateFrom` (string) - `createdDateTo` (string) - `counterpartyName` (string) ## Response 200 fields (application/json): - `page` (integer, required) - `size` (integer, required) - `totalPages` (integer, required) - `totalElements` (integer, required) - `content` (array) - `content.identifier` (string) Unique identifier. - `content.counterpartyName` (string) Counterparty name. - `content.type` (string) Type of the split lot. - `content.status` (string) Status of the split lot. - `content.quantity` (integer) Quantity for the split lot. - `content.taxLotId` (integer) TaxLot id for the split lot. - `content.taxLotName` (string) TaxLot id for the split lot. - `content.sourceTaxLotId` (integer) The identifier of the source TaxLot. - `content.sourceTaxLotName` (string) The name of the source TaxLot. - `content.externalTransferIdentifier` (string) the external transfer identifier for the split lot. - `content.createdDate` (string) Split lot created date. - `content.lastUpdatedDate` (string) Split lot last updated date. - `content.unitPrice` (object) - `content.unitPrice.currency` (string, required) Currency (USD etc...) - `content.unitPrice.amount` (number, required) The numeric value of the price - `content.ein` (string) Environment Instrument Number. Unique identifier associated with an issuance of credits from a given project, vintage, technology/fuel type and associated certification(s)/eligibility(s). An EIN is associated with a position and a position will never be associated with more than 1 EIN. - `content.program` (string) Ref.Data.REGISTRY_PROGRAM_REGI ## Response 400 fields (application/json): - `code` (string) Enum: "INVALID_REQUEST", "INVALID_PROGRAM", "INVALID_DATE_RANGE", "INVALID_PAGE_SIZE", "INVALID_PAGE_NUMBER" - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string)